code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/usr/bin/env bash
thisdir=$(dirname $0)
PYTHONPATH=$thisdir/../../src epydoc pyflow.WorkflowRunner --no-private -o WorkflowRunner_API_html_doc
| Illumina/HapMix | pyflow/doc/client_api/make_WorkflowRunner_API_html_doc.bash | Shell | gpl-3.0 | 148 |
sort -k1,1 -k2,2n Peaks_27samples.bed > Peaks_27samples.sorted.bed
bedToGenePred Peaks_27samples.sorted.bed Peaks_27samples.sorted.genePred
genePredToGtf file Peaks_27samples.sorted.genePred Peaks_27samples.sorted.gtf
bgzip Peaks_27samples.sorted.gtf
| CTLife/SomeRecords | useQTLtools/v3/bed_to_gtf.sh | Shell | gpl-3.0 | 282 |
#!/bin/bash
# Source: https://gist.github.com/ryin/3106801
# Script for installing tmux on systems where you don't have root access.
# tmux will be installed in $HOME/local/bin.
# It's assumed that wget and a C/C++ compiler are installed.
# exit on error
set -e
TMUX_VERSION=2.1
LIBEVENT_VERSION=2.0.22
NCURSES_VERSION... | tom29739/dotfiles | tmux_local_install.sh | Shell | gpl-3.0 | 1,925 |
#!/bin/bash
rm -f Archaeologist.jar *.class
javac stub.java Archaeologist.java -Xlint:all
jar cfe Archaeologist.jar stub *.class | ranaldmiao/sg_noi_archive | 2021_finals/tasks/archaeologist/attachments/compile_java.sh | Shell | gpl-3.0 | 129 |
#!/usr/bin/env bash
source ~/.bash_profile
full=n "$PATH_BIN/파일명 한번에 고치기 하위 모든 영역에서.sh" "$@"
exit | Thestar3Preservation/ScriptPack | Bash Shell Script/nautilus-scripts/파일명을 한번에 고치기/현재 영역에서만.sh | Shell | gpl-3.0 | 131 |
#!/bin/bash
# Set IFS so that it won't consider spaces as entry separators. Without this, spaces in file/folder names can make the loop go wacky.
IFS=$'\n'
# See if the Nautilus environment variable is empty
if [ -z $NAUTILUS_SCRIPT_SELECTED_FILE_PATHS ]; then
# If it's blank, set it equal to $1
NAUTILUS_SCR... | kernt/linuxtools | gnome3-shell/nautilus-scripts/System/File Processing/Doc-Tools/Convert-To/2Html-To-Subfolder.sh | Shell | gpl-3.0 | 742 |
#!/usr/bin/env bash
# Copyright 2017 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
#
# This script checks if we changed anything with regard to dependency management
# for our repo and makes sure that it was done in a valid way... | status-im/status-go | _assets/ci/validate-vendor.sh | Shell | mpl-2.0 | 1,783 |
#!/usr/bin/env bash
sudo kill -9 `cat /var/run/decaf/vnf_manager_adapterd.pid`
sudo rm -rf /var/run/decaf/vnf_manager_adapterd.pid
| CN-UPB/OpenBarista | scripts/vnf_manager_adapter_kill.sh | Shell | mpl-2.0 | 132 |
#! /usr/bin/env bash
cat > /etc/apt/sources.list <<EOF
deb http://cn.archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse
deb http://cn.archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
deb http://cn.archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multive... | xuguruogu/go-salt | salt-minion.sh | Shell | mpl-2.0 | 1,419 |
#!/bin/bash
CONFIG=`find . -type d -name ".bottlenose"`
COUNT=`echo $CONFIG | wc -w`
if [[ $COUNT -eq 0 ]]
then
echo "Falling back to old rule: Make exactly one Makefile"
MAKEFILE=`find . -type f -name "Makefile"`
MF_COUNT=`echo $MAKEFILE | wc -w`
if [[ $MF_COUNT -eq 1 ]]
then
(cd `dirnam... | marksherman/bottlenose | sandbox/scripts/build-assignment.sh | Shell | agpl-3.0 | 977 |
#!/bin/bash
## smartITSM Demo System
## Copyright (C) 2014 synetics GmbH <http://www.smartitsm.org/>
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU Affero General Public License as
## published by the Free Software Foundation, either version 3 of the
## Lic... | bheisig/smartitsm | lib/base.sh | Shell | agpl-3.0 | 5,759 |
#!/bin/bash
# Copyright (C) 2014 - Sebastien Alaiwan
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program i... | Ace17/zenbuild | zen-opus.sh | Shell | agpl-3.0 | 1,190 |
#!/bin/sh
PREFIX=/gm
BUILD_INFO="`pwd`/build.info"
WAR_DIR="${PREFIX}/web/vhost/swdouglass.com/webapps"
NAME="joid-swd"
SWD_WAR="`pwd`/dist/${NAME}.war"
PATCHES="`pwd`/deploy"
PRIVATE="`pwd`/private"
pushd ${WAR_DIR}
if [ -d "$NAME" ]; then
rm -rf "$NAME"
rm -f ${PREFIX}/etc/tomcat-vhost/Catalina/swdouglass/${NAM... | shanghaiscott/joid | deploy.sh | Shell | agpl-3.0 | 645 |
#!/bin/sh
#
# Copyright (C) 2009-2012:
# Gabes Jean, naparuba@gmail.com
# Gerhard Lausser, Gerhard.Lausser@consol.de
# Gregory Starck, g.starck@gmail.com
# Hartmut Goebel, h.goebel@goebel-consult.de
#
# This file is part of Shinken.
#
# Shinken is free software: you can redistribute it and/or modify
# it un... | wbsavage/shinken | bin/launch_receiver_debug.sh | Shell | agpl-3.0 | 1,158 |
#!/bin/bash
rel=../..
if [ x"$TOP" == x ]; then TOP=`pwd`/$rel; fi
. $rel/linux-ow.sh
if [ "$1" == "clean" ]; then
do_clean
make clean
exit 0
fi
if [ "$1" == "disk" ]; then
true
fi
if [[ "$1" == "build" || "$1" == "" ]]; then
true
fi
| joncampbell123/doslib | tool/opcc/make.sh | Shell | lgpl-2.1 | 258 |
#!/usr/bin/env bash
. $builddir/tests/test_common.sh
set -e -o pipefail
function test_probes_yamlfilecontent_offline_mode {
probecheck "yamlfilecontent" || return 255
local ret_val=0
local DF="${srcdir}/test_probes_yamlfilecontent_offline_mode.xml"
local RF="results.xml"
local YAML_FILE="opensh... | OpenSCAP/openscap | tests/probes/yamlfilecontent/test_probes_yamlfilecontent_offline_mode.sh | Shell | lgpl-2.1 | 1,124 |
# Run with ./run-tests.sh
test_ocr_on_live_video() {
cat > test.py <<-EOF
import stbt
stbt.frames(timeout_secs=30).next() # wait 'til video pipeline playing
text = stbt.ocr()
assert text == "Hello there", "Unexpected text: %s" % text
text = stbt.ocr(region=stbt.Region(x=70, y=180, width=90, height=40))
... | wmanley/stb-tester | tests/test-ocr.sh | Shell | lgpl-2.1 | 540 |
#!/bin/bash
## Copyright (C) 2012 Kolibre
#
# This file is part of kolibre-clientcore.
#
# Kolibre-clientcore is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2.1 of the License, or
# (at... | kolibre/libkolibre-clientcore | prompts/prompthelper.sh | Shell | lgpl-2.1 | 4,216 |
#! /bin/bash
#
# Replace text with something else in a given directory
#
function usage(){
echo "replace.all.sh what_be_replaced replace_with_what where"
exit 1
}
if [ $# != 3 ]
then
usage
fi
what=$1
to=$2
where=$3
grep "$what" $where -Rl | xargs sed -i -e "s/$what/$to/g"
| chfw/bash-cli-utils | bin/replace.all.sh | Shell | lgpl-3.0 | 289 |
#! /bin/bash
#
# verify json-ld encoding.
# reiterates sparql-protocol/media-types for json-ld
#
# json_diff:
# pip install json-delta
# when the documents match, it emit an empty array: []
curl_sparql_request \
-H "Accept: application/ld+json" \
-H "Content-Type:application/sparql-query" <<EOF \
| tee ... | dydra/http-api-tests | tickets/release-202012/284-jsonld-compacted.sh | Shell | unlicense | 2,298 |
echo "{
\"parent\":\"moregenerators:item/baseItem\",
\"textures\": {
\"layer0\":\"moregenerators:items/$1\"
}
}" > $1.json | adamsong/MoreGenerators | resources/assets/moregenerators/models/item/mktexture.sh | Shell | unlicense | 132 |
ns=(5000 10000 20000 50000)
# The capacities values below are between "10<their indice>" and
# "1000<their indice>". Generated by random.org. 500 instances are
# generated by combination, then we need four times 500 capacities.
declare -A cs
cs[5000]="5052835 3897377 9445422 5172202 7957284 945504 3023224 7129097 67011... | henriquebecker91/masters | codes/sh/pyasukp_paper_bench/hi.sh | Shell | unlicense | 23,087 |
#!/bin/bash
# Execute this from the commandline like this:
# bash <(curl -s https://raw.githubusercontent.com/rezitech/letsencrypt-unifi-nvr/master/init.bash) DOMAIN-NAME-HERE.COM
# This script will install the package in one step
apt-get install -y git
git clone https://github.com/rezitech/letsencrypt-unifi-nvr.git ... | rezitech/letsencrypt-unifi-nvr | init.bash | Shell | apache-2.0 | 431 |
#!/bin/bash
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to ... | google/it-cert-automation-project | Part2/setup.sh | Shell | apache-2.0 | 2,005 |
#!/usr/bin/env bash
# The name of the ~/.ssh/public_key to transfer to hosts to enable password free ssh
SSH_KEY=""
COPY_BOOT=""
while getopts "K:BH:" opt; do
case $opt in
K)
SSH_KEY=$OPTARG
;;
B)
COPY_BOOT="true"
;;
H)
SCANNERS=$OPTARG
;;
\?)
echo "Invalid o... | starksm64/RaspberryPiBeaconParser | ConfigManager/src/main/resources/scanners-rsync.sh | Shell | apache-2.0 | 1,299 |
#----------- using incremental import parameters -----------#
#--- data to this export is sourced by import script -> bigdata/sqoop/import/06-custom-import-for-export-demo.sh
#--- copy data to export dir
hdfs dfs -mkdir -p /user/cloudera/staging/sq_export/retail_db/customers_custom/{01..05}
hdfs dfs -cp staging/sq_impo... | nixphix/bigdata | sqoop/export/03-incremental-by-update-key-hdfs.sh | Shell | apache-2.0 | 2,293 |
#! /bin/sh
sudo rm -R .tmp/
sudo rm -R dist
gulp;
node dev-menu > app/templates/includes/dev-menu.njk;
| chrisplatts01/protect | build.sh | Shell | apache-2.0 | 103 |
#!/bin/bash -eu
#
# Copyright 2017 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agr... | apid/apidApigeeSync | cover.sh | Shell | apache-2.0 | 882 |
#!/bin/bash
# Author:Tyson
# E-mail:admin#svipc.com
# Website:http://www.svipc.com
# Version:1.0.0 Aug-16-2015-12:28:58
# Notes:Autoscripts for CentOS/RadHat 5+ Debian 6+ and Ubuntu 12+
for Package in apache2 apache2-doc apache2-utils apache2.2-common apache2.2-bin apache2-mpm-prefork apache2-doc apache2-mpm-worker m... | LongTaiJun/Autoscripts | include/init_Debian.sh | Shell | apache-2.0 | 5,559 |
#!/bin/bash
#
#
# uCodev ELK Deployment Scripts v0.01
#
# Date: 19/08/2015
#
# Copyright 2015 Pedro A. Hortas (pah@ucodev.org)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# ... | ucodev/elastictools | testing/deploy/install/kb_deploy.sh | Shell | apache-2.0 | 1,148 |
#!/usr/bin/env bash
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Li... | davebarnes97/geode | ci/images/google-windows-geode-builder/build_image.sh | Shell | apache-2.0 | 2,900 |
#!/bin/bash
# Variables
path_website='/Users/Nyx/Sites/only24/templating'
theme='only24h'
## Delete old
# Root
sudo rm $path_website/flashsalesoffer.php
sudo rm $path_website/flashsalescatalog.php
# Controllers
sudo rm $path_website/controllers/FlashSalesOfferController.php
sudo rm $path_website/controllers/FlashSale... | prcaen/prestashop-module-flashsales | flashsales.sh | Shell | apache-2.0 | 1,643 |
#!/bin/bash
## postgres healthcheck
##dev-generated
set -eo pipefail
sleeptime=59
# Since docker doesn't provide a lazy period for startup,
# we track health. If the last check showed healthy
# as determined by existence of /tmp/healthy, then
# sleep at startup. This requires the timeout to be set
# higher than the ... | drud/ddev | pkg/ddevapp/healthcheck/postgres_healthcheck.sh | Shell | apache-2.0 | 702 |
#!/usr/bin/env bash
moonc -l .
| acleverpun/oneofthesedays | scripts/lint.sh | Shell | apache-2.0 | 32 |
#!/bin/bash
script=`dirname $0;`
basedir=`cd -P $script/..; echo $PWD`
XPONENTS=$basedir
export PYTHONPATH=$XPONENTS/python:$XPONENTS/piplib
export PYTHONUNBUFFERED=1
do_test=0
while [ "$1" != "" ]; do
case $1 in
'test')
do_test=1
shift
;;
*)
echo "Bad argument"
exit 1
;;
esac
done
# G... | OpenSextant/Xponents | solr/build-sqlite-master.sh | Shell | apache-2.0 | 3,430 |
#!/usr/bin/env bash
#############################################################################
##
## Logtalk uninstall script
## Last updated on May 4, 2021
##
## This file is part of Logtalk <https://logtalk.org/>
## Copyright 1998-2022 Paulo Moura <pmoura@logtalk.org>
## SPDX-License-Identifier: Apa... | LogtalkDotOrg/logtalk3 | scripts/uninstall.sh | Shell | apache-2.0 | 3,536 |
#!/bin/bash
for TYPE in dmrs eds; do
MRS_DIR="deepbank-${TYPE}"
MRS_WDIR=${MRS_DIR}-working
mkdir -p $MRS_WDIR
# Construct lexicon.
python $HOME/DeepDeepParser/mrs/extract_erg_lexicon.py $ERG_DIR $MRS_WDIR
python $HOME/DeepDeepParser/mrs/extract_data_lexicon.py $MRS_DIR $MRS_WDIR
# Runs Stanford NLP... | janmbuys/DeepDeepParser | scripts/preprocess.sh | Shell | apache-2.0 | 1,833 |
#!/bin/bash
source ./ci/functions.sh
runBuild=false
echo "Reviewing changes that might affect the Gradle build..."
currentChangeSetAffectsTests
retval=$?
if [ "$retval" == 0 ]
then
echo "Found changes that require the build to run test cases."
runBuild=true
else
echo "Changes do NOT affect project test cas... | rrenomeron/cas | ci/tests/memcached/run-tests-memcached.sh | Shell | apache-2.0 | 2,384 |
#!/usr/bin/env bash
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or a... | GoogleCloudPlatform/bank-of-anthos-scripts | install/istio/istio-connect.sh | Shell | apache-2.0 | 4,213 |
#!/bin/bash
# Opens an interactive bash terminal to the target container
#
# Example call
# ./container-bash.sh stack-path/mysql-1
# Get the current working directory
WORKDIR="`dirname \"$0\"`"
cd "${WORKDIR}" || exit 1
# Process the container name
TARGET_CONTAINER="$1"
TARGET_CONTAINER=$(echo $TARGET_CONTAINER | se... | picoded/rancher-container-backup-via-cli | container-bash.sh | Shell | apache-2.0 | 432 |
#!/bin/bash
set -e
if [[ $EUID -eq 0 ]]; then
# running as root - don't need sudo
SUDO=
else
SUDO=sudo
fi
set -x
FLOCKER_BRANCH=$1
source /etc/os-release
OPSYS=${ID}-${VERSION_ID}
case "${OPSYS}" in
centos-7 | fedora-20)
DEFAULT_REPO=https://s3.amazonaws.com/clusterhq-archive/${ID}/clusterhq-release$(rpm -E ... | jongiddy/flocker-install | bin/install-control.sh | Shell | apache-2.0 | 3,347 |
#!/bin/bash -eu
#
# Copyright 2019 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agr... | googlecreativelab/pattern-radio | kubernetes/spectrogram/deploy.sh | Shell | apache-2.0 | 1,130 |
#!/usr/bin/env bash
# Requires:
# - Xcode 9.3
# - Ruby 2.5
# - Cocoapods 1.5.2
# - EarlGrey gem 1.13.0
#
# See getting started guide:
# - https://github.com/google/EarlGrey/tree/master/Demo/EarlGreyExample
REPO_NAME="EarlGrey"
if [ ! -d "$REPO_NAME" ]; then
git clone https://github.com/google/${REPO_NAME}.git
... | Flank/flank | test_runner/build_earlgrey_example.sh | Shell | apache-2.0 | 1,006 |
#!/usr/bin/env bash
jps | grep Server | cut -f1 -d" " | xargs kill
| kerumai/chunking | src/dist/bin/shutdown.sh | Shell | apache-2.0 | 68 |
#!/usr/bin/env bash
# This script identifies the unit test modules that do not correspond
# directly with a module in the code tree. See TESTING.rst for the
# intended structure.
neutron_path=$(cd "$(dirname "$0")/.." && pwd)
base_test_path=neutron/tests/unit
test_path=$neutron_path/$base_test_path
test_files=$(fin... | apporc/neutron | tools/check_unit_test_structure.sh | Shell | apache-2.0 | 2,333 |
#!/bin/bash
#example:
#./uploadFile.sh /home/$USER/Downloads/files/ http://$USER:pass@h0.wf.vlan400.uvalight.net:8082/lobcder/dav/ wlan0 multithread
# ----------------------------Parse args---------------------------
srcFilePath=$1
destURL=$2
interface=$3
multithread=$4
# extract the protocol
proto="`echo $destUR... | skoulouzis/lobcder | lobcder-tests/scripts/uploadFile.sh | Shell | apache-2.0 | 3,970 |
#!/bin/bash
pwd
g++ $gccBaseSwitch $gccExtraSwitch -I../../../src cmy2cmy.cpp -o cmy2cmy
g++ $gccBaseSwitch $gccExtraSwitch -I../../../src cmy2cmyk.cpp -o cmy2cmyk
g++ $gccBaseSwitch $gccExtraSwitch -I../../../src cmy2gray.cpp -o cmy2gray
g++ $gccBaseSwitch $gccExtraSwitch -I../../../src cmy2hsl.cpp ... | dmilos/color | example/less-than-1k/convert/make.sh | Shell | apache-2.0 | 1,446 |
if [ -z $1 ]; then
echo "file containing POST body not provided, Usage: $0 <filename>"
exit 0
fi
if [ ! -f $1 ]; then
echo "$1 not found!"
exit 0
fi
echo "POSTing contents of $1"
curl -i -v -XGET 'http://localhost:9200/denver_crime/report/_search?pretty=true' -d @$1 --header "Content-Type: application/j... | FJbob/denver_data | example_aggs/executeAggregation.sh | Shell | apache-2.0 | 325 |
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use ... | daniarherikurniawan/Chameleon512 | bin/hadoop-config.sh | Shell | apache-2.0 | 2,057 |
#!/bin/bash
echo "** Create key and trust stores **"
if [ -z ${JAVA_HOME} ]
then
echo "JAVA_HOME is not set. Please set and re-run this script."
exit 1
fi
echo "Checking for keytool..."
keytool -help > /dev/null 2>&1
if [ $? != 0 ]
then
echo "Error: keytool is missing from the path, please correct this, then r... | gameontext/gameon | bin/gen-keystore.sh | Shell | apache-2.0 | 3,562 |
#!/bin/bash
docker build -t nealhardesty/sshbastion .
| nealhardesty/dockerfiles | sshbastion/build.sh | Shell | apache-2.0 | 54 |
set -e
FILE1="$1"
javac -Xlint kata/"$1".java
java kata."$1"
| hermantai/kata | java/runone.sh | Shell | apache-2.0 | 63 |
#! /bin/bash
#Plots every *.csv in the folder.
echo "about to plot each *.CSV in the folder."
echo "script will ask you for target delays to plot"
echo "enter it or enter 's' (without quotes ofc) to skip this file"
for f in *.csv
do
echo "enter target delay for $f"
read targetdelay
if [ "$targetdelay" != "s" ];
t... | iiljkic/utp4j | src/bash/plotscript.sh | Shell | apache-2.0 | 1,387 |
#!/bin/bash
set -eo pipefail
defaultAlpineVersion='3.6'
declare -A alpineVersion=(
[17.03]='3.5'
[17.03-rc]='3.5'
[17.05]='3.5'
)
cd "$(dirname "$(readlink -f "$BASH_SOURCE")")"
source '.architectures-lib'
versions=( "$@" )
if [ ${#versions[@]} -eq 0 ]; then
versions=( */ )
fi
versions=( "${versions[@]%/}" )
#... | skoblenick/docker | update.sh | Shell | apache-2.0 | 3,010 |
#!/bin/bash
EXEDIR="../../../build/bin"
EXECUTION="cc"
DATADIR="/data/gunrock_dataset/large"
DATAHUGE="/data/gunrock_dataset/huge"
SETTING[0]="--iteration-num=10 --in-sizing=1.1 --quick"
NAME[0]="cit-Patents"
NAME[1]="soc-LiveJournal1"
NAME[2]="soc-twitter-2010"
NAME[3]="uk-2002"
NAME[4]="uk-2005"
NAME[5]="kron_g50... | gunrock/gunrock | scripts/v0.5.x/performance/cc-test.sh | Shell | apache-2.0 | 1,117 |
#!/usr/bin/env bash
source $(dirname $0)/common.sh
if [ $# -eq 2 ]; then
yes | pv -qL $2 | $kafka_home/bin/kafka-console-producer.sh --topic $1 --broker-list $all_brokers
else
echo "Usage: "$(basename $0)" <topic> <rate eg 4,1k>"
fi
| imarios/spark-steaming-with-kafka | scripts/auto_producer.sh | Shell | apache-2.0 | 241 |
#!/bin/sh
mvn dependency:build-classpath -Dmdep.outputFile=classpath
export CLASSPATH=target/classes:`cat classpath`
export log4jfile=$(pwd)/src/main/resources/stand-alone-log4j.xml
echo $log4jfile
java -cp $CLASSPATH -Dlog4j.configuration=file://$log4jfile -Xmx2024m -Xms2024m com.outbrain.gruffalo.StandaloneGruffaloS... | outbrain/gruffalo | gruffalo-standalone.sh | Shell | apache-2.0 | 326 |
#!/bin/bash
python testyida9at.py >yrun1
python testyida9at.py >yrun2
python testyida9at.py >yrun3
python testyida9at.py >yrun4
python testyida9at.py >yrun5
python testyida9at.py >yrun6
python testyida9at.py >yrun7
python testyida9at.py >yrun8
python testyida9at.py >yrun9
| dariox2/CADL | test/ygena.sh | Shell | apache-2.0 | 277 |
#!/usr/bin/env bash
#---------------------------------------------------------------------------
# Copyright 2011-2017 The Open Source Electronic Health Record Agent
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a ... | shabiel/VistA | Scripts/Install/Ubuntu/autoInstaller.sh | Shell | apache-2.0 | 10,749 |
#!/bin/sh
spec=`ls tools/tizen/*.spec`
version=`rpm --query --queryformat '%{version}\n' --specfile $spec`
name=`echo $name|cut -d" " -f 1`
version=`echo $version|cut -d" " -f 1`
name=iotivity
rm -rf $name-$version
builddir=`pwd`
sourcedir=`pwd`
echo `pwd`
mkdir ./tmp
mkdir ./tmp/extlibs/
mkdir ./tmp/packaging
c... | kartben/iotivity | gbsbuild.sh | Shell | apache-2.0 | 1,368 |
# Sample script to finetune RAG using Ray for distributed retrieval.
# Add parent directory to python path to access lightning_base.py
export PYTHONPATH="../":"${PYTHONPATH}"
#creates the custom knowlegebase
python use_own_knowledge_dataset.py \
--csv_path /DIR/SQUAD-KB/squad-kb.csv \
--output_dir /DIR/SQUA... | huggingface/transformers | examples/research_projects/rag-end2end-retriever/finetune_rag_ray_end2end.sh | Shell | apache-2.0 | 2,069 |
#!/bin/sh
sim-seriationct-networkmodel.py --dbhost localhost --dbport 27017 --experiment gc-late-lineage-split-2 --popsize 250 --maxinittraits 5 --numloci 3 --innovrate 7.52819428378e-05 --simlength 8000 --debug 0 --seed 979045008 --reps 1 --samplefraction 0.5 --migrationfraction 0.0980338783279 --devel 0 --networkmo... | mmadsen/experiment-seriation-classification | experiments/sc-2/jobs/job-gc-late-lineage-split-2-c09b50c1-43e2-4b4d-8033-e1c22ea5b5cb.sh | Shell | apache-2.0 | 18,663 |
#!/bin/bash
# Atualizando o servidor
sudo apt-get update && sudo apt-get -qy upgrade
# Instalando os principais servicos
sudo apt-get -qy install nginx-full php5-fpm php5-cli php5-mcrypt git mysql-server php5-mysql php5-curl php5-imagick php5-intl php5-memcache php-pear php5-dev php5-xdebug mcrypt
# Ira pedir a senha... | rscorrea/montaServerDevWeb | script-install.sh | Shell | apache-2.0 | 5,410 |
#! /bin/bash
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH
#=================================================================#
# System Required: CentOS 6,7, Debian, Ubuntu #
# Description: One click Install ShadowsocksR Server #
# Author: 91yu... | bycarl/mypro | shadowsockR.sh | Shell | apache-2.0 | 11,871 |
#!/bin/bash
#
# Copyright (c) 2001-2016 Primeton Technologies, Ltd.
# All rights reserved.
#
# author: ZhongWen Li (mailto:lizw@primeton.com)
#
CONTEXT_PATH=$(cd $(dirname ${0}); pwd)
source ${CONTEXT_PATH}/../common/env.sh
IMAGE_VERSION="1.0.0"
IMAGE_NAME="oaapp"
#
# main code
#
main() {
echo "${IMAGE_NAME}:$... | Primeton-External/euler-chidi | installer/docker/oaapp/build.sh | Shell | apache-2.0 | 408 |
#! /bin/sh
srcdir="`dirname $0`"
echo >Makefile "SRCDIR := $srcdir"
echo >>Makefile "HOST_GCC := $HOST_GCC"
echo >>Makefile "HOST_AS := $HOST_AS"
echo >>Makefile "SYSROOT := $GLIDIX_SYSROOT"
echo >>Makefile "CFLAGS := -Wall -Werror -fPIC -ggdb -I\$(SRCDIR)/../libddi -O3 -I\$(SRCDIR)/../libgl/include"
# Get the list o... | madd-games/glidix | ddi-drivers/subconf.sh | Shell | bsd-2-clause | 995 |
#!/bin/sh
export HOME="/home/$USER"
cat /webapp/templates/php-fpm-pool.conf.template | envsubst '$USER' > /etc/php5/fpm/pool.d/www.conf
service php5-fpm start
cat /webapp/templates/nginx.conf.template | envsubst '$JPY_BASE_USER_URL $URL_ID' > /webapp/nginx.conf
nginx -c /webapp/nginx.conf
| simphony/simphony-remote-docker | app_images/filetransfer/container-files/webapp.sh | Shell | bsd-2-clause | 290 |
#!/bin/bash
qemu-system-xtensa -M lx60 -m 96M -drive if=pflash,format=raw,file=lx60.flash -serial stdio
| windelbouwman/ppci-mirror | examples/xtensa/wasm_fac/run.sh | Shell | bsd-2-clause | 105 |
#!/bin/sh
cd /var/www
exec hhvm -u www -m server
| ecc12/docker | hhvm-server/start.sh | Shell | bsd-2-clause | 52 |
#!/bin/bash
pushd ../../VRLib
./build.sh $1
pushd
export BUILD_MODULE=Oculus360VideosSDK
echo "========================== Update "${BUILD_MODULE}" Project ==========================="
android update project -t android-19 -p . -s
if [ -z "$ANDROID_NDK" ]; then
ANDROID_NDK=~/ndk
fi
if [ "$1" == "" ]; then
ech... | kexplo/Oculus360VideosSDK | build.sh | Shell | bsd-2-clause | 1,065 |
#!/bin/bash
PID_FILE=rstat.pid
if [ -f "$PID_FILE" ]; then
while read PID; do
if [ "$(ps -p $PID -o comm=)" = 'ssh' ]; then
kill $PID
fi
done < $PID_FILE
rm -f $PID_FILE
fi
| sh2/rstat | rstat_stop.sh | Shell | bsd-3-clause | 221 |
#!/bin/bash
# Create a dashboard using the JSON filee given in $1 in the project ID $2
curl -X POST "https://monitoring.googleapis.com/v1/projects/$2/dashboards" \
-d @$1 \
--header "Authorization: Bearer $(gcloud auth print-access-token)" \
--header "Content-Type: application/json"
| all-of-us/workbench | ops/bash/create-dashboard.sh | Shell | bsd-3-clause | 292 |
#!/usr/bin/env bash
ROOT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
export TARGET=i386-atomos
export PREFIX="$ROOT/../src/Build/Local"
export SOURCES="$ROOT/../src/Build/Temp"
export TARBALLS="$ROOT/../tarballs"
export PATCHFILES="$ROOT/../toolchain"
export PATH=$PREFIX/bin:/usr/bin:$PATH
LIB_URL=https://ca... | amaneureka/AtomOS | libs/Build-cairo.sh | Shell | bsd-3-clause | 1,521 |
#!/bin/bash
# Copyright (c) 2011 The Native Client Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
source pkg_info
source ../../build_tools/common.sh
TestStep() {
Banner "Testing ${PACKAGE_NAME}"
ChangeDir ${NACL_PACKAGES_REPOSITO... | adlr/naclports | ports/bullet/build.sh | Shell | bsd-3-clause | 1,249 |
#!/bin/bash
if [ ! $# -eq 2 ]
then
echo "Usage: $0 <clonetreevisualization_executable> <rf_executable>" >&2
exit 1
fi
if [ ! -e result_m8 ]
then
mkdir result_m8
fi
echo "pattern,seed,method,RF" > results_m8.txt
for p in {mS,S,M,R}
do
for f in ../../../data/sims/m8/$p/reads_seed*.tsv
do
s=$(basena... | raphael-group/machina | result/sims/neighbor_joining/process_m8.sh | Shell | bsd-3-clause | 1,373 |
#!/bin/bash
if [[ $# -ne 4 ]]
then
echo -e "\nusage: $0 input-file.emp library-name.mod <start> <end>. 'start' and 'end' are integer (1,2,3...) sizes in mm (metric)\n"
exit
fi
INPUT_FILE=$1
LIB_NAME=$2
RANGE_START=$3
RANGE_END=$4
LIB_FOLDER="./lib"
if [[ ! -d $LIB_FOLDER ]]
then
echo -e "\n creating '$LIB_FOLDER'... | KaiserSoft/OpenSimButtonBox | Misc Circuit Boards/OSHW_logo_KiCad_scalable/make_lib.sh | Shell | bsd-3-clause | 1,260 |
#!/bin/bash -x
#
# Generated - do not edit!
#
# Macros
TOP=`pwd`
CND_CONF=default
CND_DISTDIR=dist
TMPDIR=build/${CND_CONF}/${IMAGE_TYPE}/tmp-packaging
TMPDIRNAME=tmp-packaging
OUTPUT_PATH=dist/${CND_CONF}/${IMAGE_TYPE}/pic18f97j60-family.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
OUTPUT_BASENAME=pic18f97j60-family.${IMAGE_TYPE}... | zzuzpb/contiki-2.7-xc8 | platform/pic18f97j60-family/nbproject/Package-default.bash | Shell | bsd-3-clause | 1,423 |
#!/bin/bash
if (( $# > 2 || $# < 1 )); then
echo "bad build_racer.sh call: $@" 1>&2
exit 1
fi
user=$1
sha=$2
if [[ ! -d $user ]]; then
echo "build_user user doesn't exist: $user" 1>&2
exit 2
fi
echo "starting build for user $user for $sha" 1>&2
set -x
set -e
cd $user
if [[ $2 ]]; then
git checkout $sha
fi
... | theNerd247/ariaRacer | scripts/build_racer.sh | Shell | bsd-3-clause | 384 |
#!/bin/bash
php gerar_configuracao.php
cd ..
cd models
php ../../bin/classmap_generator.php
| frf/fsipedidos | vendor/propel/script/config.sh | Shell | bsd-3-clause | 95 |
#!/bin/bash
export PYTHONPATH=`pwd`
make html
| Cymmetria/mazerunner_sdk_python | make.sh | Shell | bsd-3-clause | 47 |
#!/bin/sh
# cs.sh
find . -name "*.h" -o -name "*.c" -o -name "*.cpp" -o -name "*.cc" > cscope.files
cscope -bq
ctags -R --languages=c
| chrisju/script | cs.sh | Shell | bsd-3-clause | 134 |
#!/usr/bin/env sh
# generated from catkin/cmake/template/setup.sh.in
# Sets various environment variables and sources additional environment hooks.
# It tries it's best to undo changes from a previously sourced setup file before.
# Supported command line options:
# --extend: skips the undoing of changes from a previou... | Chpark/itomp | kuka_description/devel/setup.sh | Shell | bsd-3-clause | 2,413 |
#!/bin/bash
# This puts a fresh-built vm into /Applications without removing what was already there,
# by overwriting only the parts you've just built.
# Copy to /Applications, excluding any .svn subdirs.
tar cf - --exclude .svn --exclude 'Squeak*icns' ./Teleplace.app | (cd /Applications; tar xf -)
# All the sub-co... | zecke/old-pharo-vm-sctp | macbuild/install.sh | Shell | mit | 473 |
#!/bin/bash
set -Eeuxo pipefail
| milleniumbug/gdbplz | ci/20-run_tests_win.sh | Shell | mit | 32 |
#!/bin/bash
# __ __| ___| _)
# | __ `__ \ | | \ \ / \___ \ _ \ __| __| | _ \ __ \ __|
# | | | | | | ` < | __/ \__ \ \__ \ | ( | | | \__ \
# _| _| _| _| \__,_| _/\_\ _____/ \___| ____/ ____/ _| \___/ ... | DavidMcEwan/ucfg | bin/tmux-save-session.sh | Shell | mit | 2,738 |
#!/bin/bash
# Adapted from Gregory Pakosz's amazing tmux config at https://github.com/gpakosz/.tmux
_urlview() {
tmux capture-pane -J -S - -E - -b "urlview-$1" -t "$1"
tmux split-window "tmux show-buffer -b urlview-$1 | urlview || true; tmux delete-buffer -b urlview-$1"
}
_urlview
| 58bits/dotfiles | tmux/urlview.sh | Shell | mit | 288 |
#!/bin/bash
# @raycast.title Search IMDB
# @raycast.author Lucas Costa
# @raycast.authorURL https://github.com/lucasrcosta
# @raycast.description Search IMDB.
# @raycast.icon images/imdb.png
# @raycast.mode silent
# @raycast.packageName Web Searches
# @raycast.schemaVersion 1
# @raycast.argument1 { "type": "text", "... | loganlinn/dotfiles | tag-darwin/raycast/search-imdb.sh | Shell | mit | 409 |
# for sbt: http://code.google.com/p/simple-build-tool/
_sbt_complete() {
local cur goals
COMPREPLY=()
cur=${COMP_WORDS[COMP_CWORD]}
goals="clean clean-cache clean-lib clean-plugins compile console console-quick"
goals="$goals copy-resources copy-test-resources deliver deliver-local"
goals="$goals doc doc-... | relaynetwork/profile | scripts/sbt-completion.sh | Shell | mit | 815 |
#!/bin/bash
############################################################################
#
# Author: Nil Portugués Calderó <contact@nilportugues.com>
#
# For the full copyright and license information, please view the LICENSE
# file that was distributed with this source code.
#
########################################... | nilopc/bash-scripts | varnish.sh | Shell | mit | 635 |
#!/bin/bash
set -v # echo commands
redis-server --bind 127.0.0.1 --appendonly yes --appendfsync always
| jeffbski/microservices | redis-queue/start-redis.bash | Shell | mit | 103 |
#!/bin/bash -eux
echo '==> Configuring settings for vagrant'
SSH_USER=${SSH_USERNAME:-vagrant}
SSH_USER_HOME=${SSH_USER_HOME:-/home/${SSH_USER}}
VAGRANT_INSECURE_KEY="ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEA6NF8iallvQVp22WDkTkyrtvp9eWW6A8YVr+kz4TjGYe7gHzIw+niNltGEFHzD8+v1I2YJ6oXevct1YeS0o9HZyN1Q9qgCgzUFtdOKLv6IedplqoPkcm... | mitchellh/vagrant-installers | packer/vagrant/scripts/centos/vagrant.sh | Shell | mit | 1,294 |
#! /bin/sh
. ../../testenv.sh
analyze_failure bug1.vhdl
analyze_failure bug2.vhdl
analyze_failure bug7.vhdl
analyze_failure bug8.vhdl
clean
echo "Test successful"
| tgingold/ghdl | testsuite/gna/bug069/testsuite.sh | Shell | gpl-2.0 | 167 |
restore:# mysql -u <username> -p[userpassword] [database] < dump.sql
| andrewjstringer/EnterpriseWebDNS | cgi-bin/restore.sh | Shell | gpl-2.0 | 70 |
#!/bin/bash
summary() {
echo "add cloned genomic inserts from a GFF file"
}
loaderHelp() {
cat <<HELP
Will accept a file with GFF3 style tab-delimited columns (9), where the last column must contain only an ID. e.g.
berg14 pbg clone_genomic_insert 231580 239153 - 0 - ID=PbG01-2349f12
The d
HELP
}
loaderUs... | satta/GeneDB | ng/scripts/loaders/clonedgenomicinsert.sh | Shell | gpl-3.0 | 1,185 |
#!/bin/bash
# This script tests the high level end-to-end functionality demonstrated
# as part of the examples/sample-app
set -o errexit
set -o nounset
set -o pipefail
STARTTIME=$(date +%s)
OS_ROOT=$(dirname "${BASH_SOURCE}")/..
source "${OS_ROOT}/hack/lib/init.sh"
echo "[INFO] Starting containerized end-to-end tes... | tracyrankin/origin | hack/test-end-to-end-docker.sh | Shell | apache-2.0 | 2,822 |
#!/usr/bin/env bash
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "Licen... | tebeka/arrow | dev/lint/run_iwyu.sh | Shell | apache-2.0 | 1,235 |
#!/bin/bash
source ../comm/build.sh
./bin/deploy.sh -pd -s logistics-platform -e test
| sdgdsffdsfff/athena-rest | athena-rest-build/src/main/jenkins-bin/logistics-platform/build-athena-example-test.sh | Shell | apache-2.0 | 89 |
#!/bin/sh
#This script is assumed to be run on the host where ODL controller is running.
#To run the scripts from a remote machine, change the controller IP accordingly.
controller_ip=192.168.1.4
#Node ID: When OpenDayLight controller starts, this is the switch ID known
#to the controller. Check "printNodes" at the O... | macauleycheng/AOS_OF_Example-ODL | Customer/CertusNet/case2/test.sh | Shell | apache-2.0 | 742 |
#!/bin/sh
################################################################################
##
## Licensed to the Apache Software Foundation (ASF) under one or more
## contributor license agreements. See the NOTICE file distributed with
## this work for additional information regarding copyright ownership.
## The ... | dlaboss/incubator-edgent | buildTools/download_edgent_asf.sh | Shell | apache-2.0 | 4,340 |
#!/bin/bash
#
#/**
# * Licensed to the Apache Software Foundation (ASF) under one
# * or more contributor license agreements. See the NOTICE file
# * distributed with this work for additional information
# * regarding copyright ownership. The ASF licenses this file
# * to you under the Apache License, Version 2.0 (th... | JingchengDu/hbase | dev-support/jenkins-scripts/generate-hbase-website.sh | Shell | apache-2.0 | 5,902 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.